Skip to content
Start here

Update zone snippet rules

client.snippets.rules.update(RuleUpdateParams { zone_id, rules } params, RequestOptionsoptions?): RuleUpdateResponse
PUT/zones/{zone_id}/snippets/snippet_rules

Updates all snippet rules belonging to the zone.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Snippets Write
ParametersExpand Collapse
params: RuleUpdateParams { zone_id, rules }
zone_id: string

Path param: Use this field to specify the unique ID of the zone.

rules: Array<Rule>

Body param: Lists snippet rules.

id: string

Specify the unique ID of the rule.

expression: string

Define the expression that determines which traffic matches the rule.

minLength1
last_updated: string

Specify the timestamp of when the rule was last modified.

formatdate-time
snippet_name: string

Identify the snippet.

description?: string

Provide an informative description of the rule.

enabled?: boolean

Indicate whether to execute the rule.

ReturnsExpand Collapse
RuleUpdateResponse = unknown

Contain the response result.

Update zone snippet rules

import Cloudflare from 'cloudflare';

const client = new Cloudflare({
  apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted
});

const rule = await client.snippets.rules.update({
  zone_id: '9f1839b6152d298aca64c4e906b6d074',
  rules: [{ expression: 'ip.src eq 1.1.1.1', snippet_name: 'my_snippet' }],
});

console.log(rule);
{
  "errors": [
    {
      "message": "something bad happened",
      "code": 10000
    }
  ],
  "messages": [
    {
      "message": "something bad happened",
      "code": 10000
    }
  ],
  "result": {},
  "success": true
}
Returns Examples
{
  "errors": [
    {
      "message": "something bad happened",
      "code": 10000
    }
  ],
  "messages": [
    {
      "message": "something bad happened",
      "code": 10000
    }
  ],
  "result": {},
  "success": true
}